Skip to content
Skip to main content
PUT
/v3/channels/pubsub/{id}

Update a Pub/Sub channel

Updates the specified Pub/Sub channel.

When you make a PUT request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.

NYLAS API KEY

Parameters

Path parameters

id*string

The ID of the Pub/Sub channel to retrieve.

Request body

The Pub/Sub channel properties to update.

descriptionstring

A human-readable description of the Pub/Sub channel.

Example: "Prod account status notifications PubSub"
trigger_typesarray<string>

The event that triggers the notification. See the notification schemas for details about each trigger type.

See the Grants, Calendar, Events, and Messages references for information on how to trigger each event type.

topicstring

The Google Pub/Sub topic that Nylas sends notifications to.

Example: "projects/your-project-id/topics/your-topic-id"
statusstring

The new status of the channel. Use this to restart a channel that you manually paused, or that was automatically paused due to deliverability issues.

activepause
notification_email_addressesarray<string>

The email addresses that Nylas notifies if there are errors or deliverability problems. See the rate limit documentation for details.

compressed_deliveryboolean

If true, Nylas compresses notification payloads using gzip before delivering them. Nylas adds a content_encoding: gzip message attribute to the Pub/Sub message.

Example: true

Responses

dataobject
request_idstring

The unique ID of the request that generated this response.

PUThttps://api.us.nylas.com/v3/channels/pubsub/{id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

idrequiredstring

The ID of the Pub/Sub channel to retrieve.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.